## yum 0.0.1

=== DESCRIPTION ===
Package: yum
Title: Utilities to Extract and Process 'YAML' Fragments
Version: 0.0.1
Authors@R: 
    person(given = "Gjalt-Jorn",
           family = "Peters",
           role = c("aut", "cre"),
           email = "gjalt-jorn@userfriendlyscience.com")
Description: Provides a number of functions to facilitate
  extracting information in 'YAML' fragments from one or 
  multiple files, optionally structuring the information
  in a 'data.tree'. 'YAML' (recursive acronym for "YAML ain't
  Markup Language") is a convention for specifying structured
  data in a format that is both machine- and human-readable.
  'YAML' therefore lends itself well for embedding (meta)data
  in plain text files, such as Markdown files. This principle
  is implemented in 'yum' with minimal dependencies (i.e. only
  the 'yaml' packages, and the 'data.tree' package can be
  used to enable additional functionality).
License: GPL-3
Encoding: UTF-8
URL: https://r-packages.gitlab.io/yum
BugReports: https://gitlab.com/r-packages/yum/issues
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 3.0.0)
Imports: yaml (>= 2.2)
Suggests: covr, data.tree (>= 0.7), here, testthat
NeedsCompilation: no
Packaged: 2019-03-10 12:57:16 UTC; gjalt
Author: Gjalt-Jorn Peters [aut, cre]
Maintainer: Gjalt-Jorn Peters <gjalt-jorn@userfriendlyscience.com>
Repository: CRAN
Date/Publication: 2019-03-13 12:30:03 UTC

## yum 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: yum
 Title: Utilities to Extract and Process 'YAML' Fragments
-Version: 0.0.1
+Version: 0.1.0
 Authors@R: 
     person(given = "Gjalt-Jorn",
            family = "Peters",
@@ -20,15 +20,14 @@
 License: GPL-3
 Encoding: UTF-8
 URL: https://r-packages.gitlab.io/yum
-BugReports: https://gitlab.com/r-packages/yum/issues
-LazyData: true
-RoxygenNote: 6.1.1
+BugReports: https://gitlab.com/r-packages/yum/-/issues
+RoxygenNote: 7.1.1
 Depends: R (>= 3.0.0)
 Imports: yaml (>= 2.2)
 Suggests: covr, data.tree (>= 0.7), here, testthat
 NeedsCompilation: no
-Packaged: 2019-03-10 12:57:16 UTC; gjalt
+Packaged: 2021-07-16 18:56:40 UTC; micro
 Author: Gjalt-Jorn Peters [aut, cre]
 Maintainer: Gjalt-Jorn Peters <gjalt-jorn@userfriendlyscience.com>
 Repository: CRAN
-Date/Publication: 2019-03-13 12:30:03 UTC
+Date/Publication: 2021-07-16 19:20:03 UTC

## yum 2.4.0

=== Makefile ===
SUBDIRS = repomd rpmUtils yum etc docs
PYFILES = $(wildcard *.py)

PKGNAME = yum
VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
CVSTAG=yum-$(subst .,_,$(VERSION)-$(RELEASE))
PYTHON=python

all: subdirs

clean:
	rm -f *.pyc *.pyo *~ *.bak
	for d in $(SUBDIRS); do make -C $$d clean ; done

subdirs:
	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) -C $$d; [ $$? = 0 ] || exit 1 ; done

install:
	mkdir -p $(DESTDIR)/usr/share/yum-cli
	for p in $(PYFILES) ; do \
		install -m 644 $$p $(DESTDIR)/usr/share/yum-cli/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/usr/share/yum-cli', 1, '$(PYDIR)', 1)"

	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/bin
	install -m 755 bin/yum.py $(DESTDIR)/usr/bin/yum
	install -m 755 bin/yum-arch $(DESTDIR)/usr/bin/yum-arch

	mkdir -p $(DESTDIR)/var/cache/yum

	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done

archive:
	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
	@rm -f /tmp/${PKGNAME}/${PKGNAME}-daily.spec
	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
	@dir=$$PWD; cd /tmp; tar cvzf $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
	@rm -rf /tmp/${PKGNAME}-$(VERSION)	
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"

daily:
	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
	@rm -f /tmp/${PKGNAME}/${PKGNAME}.spec
	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
	@dir=$$PWD; cd /tmp; tar cvzf $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
	@rm -rf /tmp/${PKGNAME}-$(VERSION)	
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"

=== docs/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/usr/share/man/man{5,8}
	install -m 644 yum.8 $(DESTDIR)/usr/share/man/man8/yum.8
	install -m 644 yum-shell.8 $(DESTDIR)/usr/share/man/man8/yum-shell.8
	install -m 644 yum-arch.8 $(DESTDIR)/usr/share/man/man8/yum-arch.8
	install -m 644 yum.conf.5 $(DESTDIR)/usr/share/man/man5/yum.conf.5

=== etc/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	#mkdir -p $(DESTDIR)/etc/security/console.apps 
	#install -m 644 yum.console $(DESTDIR)/etc/security/console.apps/yum

	#mkdir -p $(DESTDIR)/etc/pam.d
	#install -m 644 yum.pam $(DESTDIR)/etc/pam.d/yum

	mkdir -p $(DESTDIR)/etc/yum.repos.d
	install -m 644 yum.conf $(DESTDIR)/etc/yum.conf

	mkdir -p $(DESTDIR)/etc/cron.daily
	install -m 755 yum.cron $(DESTDIR)/etc/cron.daily/yum.cron

	mkdir -p $(DESTDIR)/etc/cron.weekly
	install -m 755 yum.cron.weekly $(DESTDIR)/etc/cron.weekly/yum.cron

	mkdir -p $(DESTDIR)/etc/rc.d/init.d
	install -m 755 yum.init $(DESTDIR)/etc/rc.d/init.d/yum

	mkdir -p $(DESTDIR)/etc/logrotate.d
	install -m 644 yum.logrotate $(DESTDIR)/etc/logrotate.d/yum

	mkdir -p $(DESTDIR)/etc/yum/
	install -m 644 yum-daily.yum $(DESTDIR)/etc/yum/yum-daily.yum

=== repomd/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYFILES = $(wildcard *.py)
PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)

all: 
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(PYFILES) ; do \
		install -m 644 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PYDIR)', 1)"

## yum 3.2.12

=== Makefile ===
SUBDIRS = rpmUtils yum etc docs po
PYFILES = $(wildcard *.py)

PKGNAME = yum
VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
CVSTAG=yum-$(subst .,_,$(VERSION)-$(RELEASE))
PYTHON=python

all: subdirs

clean:
	rm -f *.pyc *.pyo *~ *.bak
	for d in $(SUBDIRS); do make -C $$d clean ; done
	cd test; rm -f *.pyc *.pyo *~ *.bak

subdirs:
	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) -C $$d; [ $$? = 0 ] || exit 1 ; done

install:
	mkdir -p $(DESTDIR)/usr/share/yum-cli
	for p in $(PYFILES) ; do \
		install -m 644 $$p $(DESTDIR)/usr/share/yum-cli/$$p; \
	done
	mv $(DESTDIR)/usr/share/yum-cli/yum-updatesd.py $(DESTDIR)/usr/share/yum-cli/yumupd.py
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/usr/share/yum-cli', 1, '$(PYDIR)', 1)"

	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
	install -m 755 bin/yum.py $(DESTDIR)/usr/bin/yum
	install -m 755 bin/yum-updatesd.py $(DESTDIR)/usr/sbin/yum-updatesd

	mkdir -p $(DESTDIR)/var/cache/yum
	mkdir -p $(DESTDIR)/var/lib/yum	

	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done

.PHONY: docs test

DOCS = yum rpmUtils callback.py progress_meter.py yumcommands.py shell.py \
	   translate.py output.py i18n.py cli.py yummain.py
docs:
	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS)

doccheck:
	epydoc --check $(DOCS)

test:
	@nosetests -i ".*test" test

check: test

changelog:
	git log --pretty --numstat --summary | git2cl  > ChangeLog

testnewbehavior:
	@NEW_BEHAVIOR=1 nosetests -i ".*test" test

archive: remove_spec = ${PKGNAME}-daily.spec
archive: _archive

daily: remove_spec = ${PKGNAME}.spec
daily: _archive

_archive:
	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
	lynx -dump 'http://wiki.linux.duke.edu/WritingYumPlugins?action=print' > /tmp/${PKGNAME}/PLUGINS
	lynx -dump 'http://wiki.linux.duke.edu/YumFaq?action=print' > /tmp/${PKGNAME}/FAQ
	@rm -f /tmp/${PKGNAME}/$(remove_spec)
	@rm -rf /tmp/${PKGNAME}/.git
	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
	@dir=$$PWD; cd /tmp; tar cvzf $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
	@rm -rf /tmp/${PKGNAME}-$(VERSION)	
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(DESTDIR)/usr/share/locale
top_srcdir = "."


MSGMERGE = intltool-update -x --gettext-package=$(NLSPACKAGE) --dist

NLSPACKAGE = yum

CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))

PYFILES  = $(wildcard ../*.py) $(wildcard ../yum/*.py) $(wildcard ../rpmUtils/*.py)
POTFILES  = $(PYFILES)

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

POTFILES.in:
	echo '[encoding: UTF-8]' > $@
	for file in $(POTFILES); do \
		echo "$${file#../}" ; \
	done >> $@

$(NLSPACKAGE).pot: $(POTFILES) POTFILES.in
	intltool-update --gettext-package=$(NLSPACKAGE) --pot

update-po: Makefile $(NLSPACKAGE).pot refresh-po

refresh-po: Makefile POTFILES.in
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`basename $$cat .po`; \
		cp $$lang.po $$lang.old.po; \
		if $(MSGMERGE) $$lang ; then \
			rm -f $$lang.old.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			mv $$lang.old.po $$lang.po ; \
		fi \
	done

report:
	@for cat in *.po ; do \
		echo -n "$$cat: "; \
		msgfmt --statistics -o /dev/null $$cat; \
	done    

clean:
	@rm -fv *mo *~ .depend *.autosave
   
distclean: clean
	rm -f *mo .depend Makefile $(NLSPACKAGE).pot POTFILES.in

depend:

install:	all
	mkdir -p $(PREFIX)/$(INSTALLNLSDIR)
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    if [ ! -f $$mo ]; then continue; fi; \
	    $(INSTALL) -m 755 -d $(PREFIX)/$(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(PREFIX)/$(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$mo \
		$(PREFIX)/$(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

## yum 3.2.21

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 
 .PHONY: docs test
 
-DOCS = yum rpmUtils callback.py progress_meter.py yumcommands.py shell.py \
-	   translate.py output.py i18n.py cli.py yummain.py
+DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
+	   yummain.py
 docs:
 	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS)
 
@@ -46,11 +46,15 @@
 
 test:
 	@nosetests -i ".*test" test
+	@test/check-po-yes-no.py
+
+test-skipbroken:
+	@nosetests -i ".*test" test/skipbroken-tests.py
 
 check: test
 
 changelog:
-	git log --pretty --numstat --summary | git2cl  > ChangeLog
+	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
 
 testnewbehavior:
 	@NEW_BEHAVIOR=1 nosetests -i ".*test" test

## yum 3.2.23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 SUBDIRS = rpmUtils yum etc docs po
 PYFILES = $(wildcard *.py)
+PYLINT_MODULES =  *.py yum rpmUtils
+PYLINT_IGNORE = oldUtils.py
 
 PKGNAME = yum
 VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
@@ -39,7 +41,7 @@
 DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
 	   yummain.py
 docs:
-	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS)
+	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS) --graph all
 
 doccheck:
 	epydoc --check $(DOCS)
@@ -52,6 +54,12 @@
 	@nosetests -i ".*test" test/skipbroken-tests.py
 
 check: test
+
+pylint:
+	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+
+pylint-short:
+	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
 
 changelog:
 	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog

## yum 3.2.25

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 test:
 	@nosetests -i ".*test" test
 	@test/check-po-yes-no.py
+	cd po; make test
 
 test-skipbroken:
 	@nosetests -i ".*test" test/skipbroken-tests.py
@@ -56,10 +57,10 @@
 check: test
 
 pylint:
-	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+	@pylint --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
 pylint-short:
-	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES)
+	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
 changelog:
 	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog

=== docs/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~
	rm -fr epydoc

install:
	mkdir -p $(DESTDIR)/usr/share/man/man5
	mkdir -p $(DESTDIR)/usr/share/man/man8
	install -m 644 yum.8 $(DESTDIR)/usr/share/man/man8/yum.8
	install -m 644 yum-shell.8 $(DESTDIR)/usr/share/man/man8/yum-shell.8
	install -m 644 yum.conf.5 $(DESTDIR)/usr/share/man/man5/yum.conf.5
	install -m 644 yum-updatesd.8 $(DESTDIR)/usr/share/man/man8/yum-updatesd.8
	install -m 644 yum-updatesd.conf.5 $(DESTDIR)/usr/share/man/man5/yum-updatesd.conf.5

=== etc/Makefile ===
YUMETC=$(DESTDIR)/etc/yum

all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/etc/yum/
	mkdir -p $(DESTDIR)/etc/yum/repos.d

	install -m 644 yum.conf $(YUMETC)/yum.conf

	install -m 644 version-groups.conf $(YUMETC)/version-groups.conf

	mkdir -p $(DESTDIR)/etc/logrotate.d
	install -m 644 yum.logrotate $(DESTDIR)/etc/logrotate.d/yum

	mkdir -p $(DESTDIR)/etc/rc.d/init.d
	install -m 755 yum-updatesd.init $(DESTDIR)/etc/rc.d/init.d/yum-updatesd

	mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)/etc/dbus-1/system.d/yum-updatesd.conf

	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf

=== po/Makefile ===
--- 
+++ 
@@ -69,4 +69,12 @@
 	done
 
 %.mo: %.po
-	msgfmt -o $@ $<
+	msgfmt -o $@ $< -c
+
+
+test:
+	for n in $(CATALOGS); do \
+	msgfmt -c $$n; \
+	done
+
+

## yum 3.4.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
 CVSTAG=yum-$(subst .,_,$(VERSION)-$(RELEASE))
 PYTHON=python
+WEBHOST = yum.baseurl.org
+WEB_DOC_PATH = /srv/projects/yum/web/download/docs/yum-api/
 
 all: subdirs
 
@@ -32,23 +34,36 @@
 	install -m 755 bin/yum-updatesd.py $(DESTDIR)/usr/sbin/yum-updatesd
 
 	mkdir -p $(DESTDIR)/var/cache/yum
-	mkdir -p $(DESTDIR)/var/lib/yum	
+	mkdir -p $(DESTDIR)/var/lib/yum
 
 	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
 
 .PHONY: docs test
 
-DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py \
-	   yummain.py
+DOCS = yum rpmUtils callback.py yumcommands.py shell.py output.py cli.py utils.py\
+	   yummain.py 
+
+# packages needed for docs : yum install epydoc graphviz
 docs:
-	epydoc -n yum -o docs/epydoc -u http://linux.duke.edu/projects/yum $(DOCS) --graph all
+	@rm -rf docs/epydoc/$(VERSION)
+	@mkdir -p docs/epydoc/$(VERSION)
+	@epydoc -o docs/epydoc/$(VERSION) -u http://yum.baseurl.org --name "Yum" --graph all $(DOCS)
+
+upload-docs: docs
+# Upload to yum website
+	@rm -rf yum-apidoc-$(VERSION).tar.gz
+	@dir=$$PWD; cd $$dir/docs/epydoc; tar zcf $$dir/yum-apidoc-$(VERSION).tar.gz $(VERSION)
+	@scp yum-apidoc-$(VERSION).tar.gz $(WEBHOST):$(WEB_DOC_PATH)/.
+	@ssh $(WEBHOST) "cd $(WEB_DOC_PATH); tar zxvf yum-apidoc-$(VERSION).tar.gz; rm yum-apidoc-$(VERSION).tar.gz"
+	@rm -rf yum-apidoc-$(VERSION).tar.gz
+
 
 doccheck:
 	epydoc --check $(DOCS)
 
 test:
 	@nosetests -i ".*test" test
-	@test/check-po-yes-no.py
+	-@test/check-po-yes-no.py
 	cd po; make test
 
 test-skipbroken:
@@ -62,8 +77,9 @@
 pylint-short:
 	@pylint -r n --rcfile=test/yum-pylintrc --ignore=$(PYLINT_IGNORE) $(PYLINT_MODULES) 2>/dev/null
 
+ChangeLog: changelog
 changelog:
-	git log --since=2007-05-16 --pretty --numstat --summary | git2cl  > ChangeLog
+	git log --since=2007-05-16 --pretty --numstat --summary | git2cl | cat > ChangeLog
 
 testnewbehavior:
 	@NEW_BEHAVIOR=1 nosetests -i ".*test" test
@@ -77,9 +93,9 @@
 _archive:
 	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
 	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
-	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
-	lynx -dump 'http://wiki.linux.duke.edu/WritingYumPlugins?action=print' > /tmp/${PKGNAME}/PLUGINS
-	lynx -dump 'http://wiki.linux.duke.edu/YumFaq?action=print' > /tmp/${PKGNAME}/FAQ
+	@dir=$$PWD; cd /tmp; git clone $$dir ${PKGNAME}
+	lynx -dump 'http://yum.baseurl.org/wiki/WritingYumPlugins?format=txt' > /tmp/${PKGNAME}/PLUGINS
+	lynx -dump 'http://yum.baseurl.org/wiki/Faq?format=txt' > /tmp/${PKGNAME}/FAQ
 	@rm -f /tmp/${PKGNAME}/$(remove_spec)
 	@rm -rf /tmp/${PKGNAME}/.git
 	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)

=== etc/Makefile ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 install:
 	mkdir -p $(DESTDIR)/etc/yum/
+	mkdir -p $(DESTDIR)/etc/yum/protected.d
 	mkdir -p $(DESTDIR)/etc/yum/repos.d
+	mkdir -p $(DESTDIR)/etc/yum/vars
 
 	install -m 644 yum.conf $(YUMETC)/yum.conf
 
@@ -25,4 +27,12 @@
 
 	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
 
-
+	mkdir -p $(DESTDIR)/etc/bash_completion.d
+	install -m 644 yum.bash $(DESTDIR)/etc/bash_completion.d
+	mkdir -p $(DESTDIR)/etc/cron.daily
+	mkdir -p $(DESTDIR)/etc/sysconfig/
+	install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
+	install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
+	install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
+	install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
+	install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron

=== rpmUtils/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYFILES = $(wildcard *.py)
PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)

all: 
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(PYFILES) ; do \
		install -m 644 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PKGDIR)', 1)"

=== debian/changelog ===
yum (3.4.3-3) unstable; urgency=medium

  * Added python-lzma as depends (Closes: #774217).

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Dec 2014 14:36:30 +0000

yum (3.4.3-2) unstable; urgency=low

  * Uploading to unstable.
  * Removed obsolete DM allowed flag.
  * Bumped Standard-Version to 3.9.4.
  * Now using compat and debhelper 9.
  * Ran wrap-and-sort.
  * Canonical VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 05:01:12 +0000

yum (3.4.3-1) experimental; urgency=low

  [ Thomas Goirand ]
  * New upstream version.
  * Added a debian/gbp.conf.
  * Removed all patches, removed dependency to dpatch, bumped compatibility
  to 8 (and dependency to debhelper 8).
  * Do not delete po/yum.pot anymore in debian/rules.
  * Using dh_prep instead of dh_clean -k.
  * Now using source format 3.0 (quilt) (added new debian/source/format file).
  * Now build-depends on python-all (>= 2.6.6-3~), dropped build-dependency on
  python-support, calling dh_python2 in debian/rules.
  * Now using my @debian.org maintainer email in debian/control.
  * Added missing build-target build-arch in debian/rules.
  * Bumped standard-version to 3.9.3.
  * Switched debian/copyright to machine readable format 1.0.
  * Kills debian/yum-updatesd.init (it shouldn't be there).
  * Added Vcs fields.
  * Fixed the watch file.
  * Moves $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages into
  .../dist-packages to be Debian Python policy compliant.
  * Fixes urlparse: AttributeError: 'module' object has no attribute
  'uses_fragment' (Closes: #679067).

  [ Mike Miller ]
  * Add patch to ensure yum uses the correct path for the RPM database.
  * Call dh_python2 correctly to handle python module install directories.
  * Add myself to Uploaders as a co-maintainer.
  * Completely remove all traces of yum-updatesd. (Closes: #579678)
  * Update Vcs-* fields to use collab-maint repository.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jun 2012 15:37:12 +0000

yum (3.2.25-2) unstable; urgency=low

  * Fixes crash at start of yum with error: urlparse: AttributeError:
  * 'module'
  object has no attribute 'uses_fragment' (Closes: #679067).
  * Using zigo@debian.org as maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jun 2012 15:19:14 +0000

yum (3.2.25-1) unstable; urgency=low

  * New upstream version.
  * Not using the yumpackage@gplhost.com, but my "normal" email address again
    as maintainer address, as my employee Manuel is no longer willing to help,
    as he resigned from his position at GPLHost.
  * Removed patches that are no longer needed thanks to my work with upstream:
    - yum.conf.5 has been corrected thanks to a patch I sent to upstream, so
    a patch in Debian is no longer needed, same for the yum.8 man page.
    - python-iniparse has been uploaded to SID, so a patch to not use it is as
    well not needed anymore.
    - python-gpgme is now in SID.
    - The version of logrotate in SID now supports yearly rotating, so a
    patch is no longer needed as well.
    All together, the number of patches needed for Yum is reduced to only 1,
    making it A WAY more easy to maintain.
  * Changed dependency from just python-celementtree to python (>= 2.5) |
    python-celementtree as python-celementtree is now part of python2.5, and
    that python2.4 is to be removed from SID (Closes: #562455).
  * Bumped Standards-Version.
  * Reworked a bit the debian/copyright so it's more accurate.
  * Reworked the debian/README.Debian, wrote a debian/source.
  * Switched from Required to Should in the debian/yum-updatesd.init, added
    a $local_fs as Should also, and did some tiny cleanups in debian/rules.

 -- Thomas Goirand <thomas@goirand.fr>  Sat, 26 Dec 2009 13:05:37 +0800

yum (3.2.23-1) unstable; urgency=low

  * New upstream release
  * Removed the patch for the Makefile that is now useless (upstream changed
    it).
  * Compat is now 5.

 -- GPLHost yum packaging team <yumpackage@gplhost.com>  Sat, 13 Jun 2009 19:23:21 +0800

yum (3.2.21-2) unstable; urgency=low

  * Moved python-dev, python-support and intltool to Build-Depends-Indep:
  * Added a Homepage: field and a watch file
  * Added mechanismes in debian/rules to preserve po/yum.pot that is created
    each time by the build process (the .diff.gz was big for nothing, this is
    better now).
  * Added a patch so that etc/yum.logrotate uses monthly as logrotate option,
    as we received cron emails from some of our servers in production, warning
    that yearly is not a valid option for logrotate. The cron job for
    logrotate should be more quite now.
  * Now depending on debhelper >= 5.
  * Bumped StandardVersion to 3.8.1.

 -- GPLHost yum packaging team <yumpackage@gplhost.com>  Wed, 01 Apr 2009 11:14:48 +0800

yum (3.2.21-1) unstable; urgency=low

  * Adopting package. Former maintainer retired from Debian recently, and
    co-maintainer expressed he had no further interest in yum in
    http://lists.debian.org/debian-release/2009/02/msg00413.html.
    I (Thomas Goirand) will be co-maintaining this package with my employee
    Manuel Amador: I feel comfortable with Debian packaging, while Manuel is
    a python and RPM system specialist. The maintainer email address of this
    package (signed with my Debian GPG key) forwards to both of us.
  * New upstream release
  * Added Dm-Upload-Allowed: yes field.
  * Forward-ported documentation, sqlite and Makefile patch from last Debian
    package in Lenny, added build-dep dpatch (patches are now separate and not
    generated in the diff.gz which I think is ugly packaging).
  * Removed upstream dependency on python-iniparse and patched to be able to
    work without it as python-iniparse is not in Debian (yet).
  * Removed Debian dependency on python-pyme (which is a mistake of the last
    NMU that thought it was the same as python-gpgme), removed upstream
    dependency on python-gpgme, patched to work without it (Closes: #496137).


=== debian/control ===
Source: yum
Section: admin
Priority: extra
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders: Mike Miller <mtmiller@ieee.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Build-Depends-Indep: intltool
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yum.git
Vcs-Git: git://anonscm.debian.org/collab-maint/yum.git
Standards-Version: 3.9.4
Homepage: http://yum.baseurl.org/

Package: yum
Architecture: all
Depends: python (>= 2.5) | python-celementtree,
 python-libxml2,
 python-lzma,
 python-rpm,
 python-sqlite,
 python-sqlitecachec,
 python-urlgrabber,
 rpm (>= 4.4.1),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Advanced front-end for rpm
 Yum (Yellow dog Updater, Modified) is an automatic updater and package
 installer/remover for rpm systems. It automatically computes dependencies
 and figures out what things should occur to install packages. It makes it
 easier to maintain groups of machines without having to manually update
 each one using rpm.
 .
 Features include:
 .
     * Multiple Repositories
     * Simple config file
     * Correct dependency calculation
     * Fast operation
     * rpm-consistent behavior
     * comps.xml group support, including multiple repository groups
     * Simple interface

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	
	touch configure-stamp

#Architecture 
build-arch: build
build: build-indep
build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	$(MAKE) 
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp

	# Delete po/yum.pot so it doesn't polute the diff.gz
	#rm -f po/yum.pot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	$(MAKE) install DESTDIR=$(CURDIR)/debian/yum

	# Remove all traces of yum-cron and yum-updatesd from the package.
	rm -rf $(CURDIR)/debian/yum/etc/rc.d
	rm -rf $(CURDIR)/debian/yum/etc/yum/yum-updatesd.conf
	rm -rf $(CURDIR)/debian/yum/etc/dbus-1
	rm -rf $(CURDIR)/debian/yum/etc/cron.daily
	rm -rf $(CURDIR)/debian/yum/etc/sysconfig
	rm -f $(CURDIR)/debian/yum/usr/sbin/yum-updatesd
	rm -f $(CURDIR)/debian/yum/usr/share/man/man*/yum-updatesd*
	rm -f $(CURDIR)/debian/yum/usr/share/yum-cli/yumupd.py*
	rmdir $(CURDIR)/debian/yum/usr/sbin
	if [ -d $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages ] ; then \
		mv $(CURDIR)/debian/yum/usr/lib/python2.7/site-packages $(CURDIR)/debian/yum/usr/lib/python2.7/dist-packages ; \
	fi

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_python2 --skip-private
	dh_python2 /usr/share/yum-cli
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
version=3
http://yum.baseurl.org/download/(\d\.\d)/yum-([\d\.]*).tar.gz
